Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225400 - The keyex patch needs to be updated in Fedora 38 and rawhide due to changes in openssh 9.0
Summary: The keyex patch needs to be updated in Fedora 38 and rawhide due to changes i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 38
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dmitry Belyavskiy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-25 08:37 UTC by Mattias Ellert
Modified: 2023-07-30 01:39 UTC (History)
7 users (show)

Fixed In Version: openssh-9.0p1-17.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-30 01:39:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-903 0 None None None 2023-07-25 08:39:57 UTC

Description Mattias Ellert 2023-07-25 08:37:56 UTC
userauth_gsskeyex must have the same argument as userauth_gssapi
(argument added in openssh 9.0)

method_gsskeyex must have the same members as method_gssapi
(additional member added in openssh 9.0)

Pull request rawhide:
https://src.fedoraproject.org/rpms/openssh/pull-request/56

Pull request fedora 38:
https://src.fedoraproject.org/rpms/openssh/pull-request/57


Reproducible: Always

Comment 1 Fedora Update System 2023-07-28 14:54:39 UTC
FEDORA-2023-0fa03e79e2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fa03e79e2

Comment 2 Dmitry Belyavskiy 2023-07-28 14:55:39 UTC
Thanks for the contribution!
Pushed it fo rawhide/f38.

Comment 3 Fedora Update System 2023-07-29 02:18:04 UTC
FEDORA-2023-0fa03e79e2 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0fa03e79e2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fa03e79e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-07-30 01:39:11 UTC
FEDORA-2023-0fa03e79e2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.